<template>
  <div class="page-content">
    <pageHeader v-if="showCatalogList.indexOf(0) > -1"></pageHeader>
    <chapterOne v-if="showCatalogList.indexOf(1) > -1"></chapterOne>
    <chapterOne v-if="showCatalogList.indexOf(1) > -1"></chapterOne>
    <chapterTwo v-if="showCatalogList.indexOf(2) > -1"></chapterTwo>
    <chapterThree v-if="showCatalogList.indexOf(3) > -1"></chapterThree>
    <chapterFour v-if="showCatalogList.indexOf(4) > -1"></chapterFour>
    <chapterFive v-if="showCatalogList.indexOf(5) > -1"></chapterFive>
    <chapterSix v-if="showCatalogList.indexOf(6) > -1"></chapterSix>
    <chapterSeven v-if="showCatalogList.indexOf(7) > -1"></chapterSeven>
    <chapterEight v-if="showCatalogList.indexOf(8) > -1"></chapterEight>
    <chapterNine v-if="showCatalogList.indexOf(9) > -1"></chapterNine>
    <chapterTen v-if="showCatalogList.indexOf(10) > -1"></chapterTen>
    <chapterEleven v-if="showCatalogList.indexOf(11) > -1"></chapterEleven>
    <chapterTwelve v-if="showCatalogList.indexOf(12) > -1"></chapterTwelve>
    <chapterThirteen v-if="showCatalogList.indexOf(13) > -1"></chapterThirteen>
  </div>
</template>

<script>
import pageHeader from "./components/header.vue";
import chapterOne from "./components/chapter001.vue";
import chapterTwo from "./components/chapter002.vue";
import chapterThree from "./components/chapter003.vue";
import chapterFour from "./components/chapter0004.vue";
import chapterFive from "./components/chapter005.vue";
import chapterSix from "./components/chapter006.vue";
import chapterSeven from "./components/chapter007.vue";
import chapterEight from "./components/chapter008.vue";
import chapterNine from "./components/chapter009.vue";
import chapterTen from "./components/chapter010.vue";
import chapterEleven from "./components/chapter011.vue";
import chapterTwelve from "./components/chapter012.vue";
import chapterThirteen from "./components/chapter013.vue";

export default {
  name: "temp-book",
  data() {
    return {
      catalogLength: 13,
      showCatalogList: []
    };
  },
  mounted() {
    this.showCatalogList = [0];
  },
  methods: {},
  components: {
    pageHeader,
    chapterOne,
    chapterTwo,
    chapterThree,
    chapterFour,
    chapterFive,
    chapterSix,
    chapterSeven,
    chapterEight,
    chapterNine,
    chapterTen,
    chapterEleven,
    chapterTwelve,
    chapterThirteen
  }
};
</script>

<style lang="less" scoped></style>
